## dpkg 1.15.8.4ubuntu3~unity2d1

=== debian/changelog ===
dpkg (1.15.8.4ubuntu3~unity2d1) lucid; urgency=low

  * Backport from Maverick; version required by mesa
  * debian/control: remove [linux-any] from libselinux1-dev as it causes FTBFS

 -- Alex Chiang <achiang@canonical.com>  Tue, 08 Feb 2011 08:42:15 -0700

dpkg (1.15.8.4ubuntu3) maverick; urgency=low

  * scripts/Dpkg/Source/Archive.pm: Drop -k parameter from the tar call used 
    by dpkg-source to extract tarballs. Upstream binary files modified by the 
    packager were not properly installed due to this.  Patch courtesy of 
    Raphaël Hertzog (upstream, debian git). (LP: #633015)

 -- Dave Walker (Daviey) <DaveWalker@ubuntu.com>  Wed, 08 Sep 2010 10:17:20 +0100

dpkg (1.15.8.4ubuntu2) maverick; urgency=low

  * Backport from sid branch (Guillem Jover):
    - Do not print a warning when parsing status or status log files on
      half-installed packages w/o a Description or Maintainer field, as this
      happens normally when the package was never installed before
      (LP: #619135).

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 23 Aug 2010 12:07:24 +0100

dpkg (1.15.8.4ubuntu1) maverick; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Adjust versioned emacs22 conflicts to cope with versions in Ubuntu.
    - cputable: Set cpu to i686 for arch i386.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 16 Aug 2010 14:57:09 +0100

dpkg (1.15.8.4) unstable; urgency=low

  [ Guillem Jover ]
  * Fix use after free segfault on update-alternatives --remove-all.
    Closes: #591653, #591654
  * Always print a massage on warning when parsing control files.
  * On database parsing only warn on bogus versions previously accepted,
    the other instances will keep producing errors, to avoid newly
    introduced bogosity. Closes: #590885, #590896, #591692, #591885
  * Fix compilation on Solaris and Darwin:
    - Link update-alternatives against libintl if libc does not have i18n
      support.
    - Include <limits.h> for _POSIX_MAX_PATH in update-alternatives.
    Thanks to Fabian Groffen <grobian@gentoo.org>.

  [ Raphaël Hertzog ]
  * Fix make -C man install so that it actually finds the manual pages
    to install. Closes: #591588
  * When analyzing the ELF format of a binary in dpkg-shlibdeps, fallback on
    usual objdump when the cross objdump failed. Closes: #591522

  [ Sven Joachim ]
  * Ensure removal of leftover backup .dpkg-tmp files after unpacking
    failures, when the backup is still a hard link to the original file.
    Closes: #591993

 -- Guillem Jover <guillem@debian.org>  Fri, 13 Aug 2010 06:02:10 +0200

dpkg (1.15.8.3) unstable; urgency=low

  [ Raphaël Hertzog ]
  * Fix dpkg-divert test suite to cope with + and other special characters for
    regexps in the build directory name. Thanks to Jonathan Nieder for the
    patch and to Phil Kern for the report. Closes: #591182

  [ Guillem Jover ]
  * Fix buffer overflow in dpkg_ar_member_put_header causing it to write the
    header to fd 0 (instead of ar_fd) depending on the stack layout, affecting
    armel. Thanks to Phil Kern for the analysis and Reinhard Tartler for the
    initial patch. Closes: #591312

 -- Guillem Jover <guillem@debian.org>  Mon, 02 Aug 2010 10:38:07 +0200

dpkg (1.15.8.2ubuntu4) maverick; urgency=low

  * Cherry-pick d9af569 from dpkg.git sid branch to fix dpkg-shlibdeps in
    cross-builds:

  [ Raphaël Hertzog]
  * When analyzing the ELF format of a binary in dpkg-shlibdeps, fallback on
    usual objdump when the cross objdump failed. Closes: #591522

 -- Loïc Minier <loic.minier@ubuntu.com>  Thu, 12 Aug 2010 07:03:19 +0200

dpkg (1.15.8.2ubuntu3) maverick; urgency=low

  * debian/rules: Globally set $PATH instead of just for dh_builddeb, so that
    it also applies to pkg-create-dbgsym.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 02 Aug 2010 11:26:48 +0200

dpkg (1.15.8.2ubuntu2) maverick; urgency=low

  * Fix buffer overflow in dpkg_ar_member_put_header. Cherrypicked from trunk.
    (LP: #612457, Debian #591312)
  * debian/rules: Add build-tree/dpkg-deb to $PATH when calling dh_builddeb,
    to pull ourselves out of above swamp.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 02 Aug 2010 11:03:18 +0200

dpkg (1.15.8.2ubuntu1) maverick; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Adjust versioned emacs22 conflicts to cope with versions in Ubuntu.
    - cputable: Set cpu to i686 for arch i386.

 -- Colin Watson <cjwatson@ubuntu.com>  Sun, 01 Aug 2010 16:53:42 -0500

dpkg (1.15.8.2) unstable; urgency=low

  * Bump libdpkg-perl Depends on dpkg to 1.15.8, as it will break dpkg
    versions before that when installing and removing libdpkg-perl,
    because older update-alternatives and dpkg-divert require Dpkg.pm and
    Dpkg/Gettext.pm which will disappear due to the Replaces. Closes: #590867
    Thanks to Sven Joachim <svenjoac@gmx.de> for the analysis.
  * Allow specifying again absolute and relative paths for dpkg-buildpackage
    -r option. Closes: #591010

 -- Guillem Jover <guillem@debian.org>  Sat, 31 Jul 2010 04:20:01 +0200

dpkg (1.15.8.1) unstable; urgency=low

  * Fix off-by-one error in update-alternatives that lead to an infinite loop
    while writing the administrative file. Closes: #590854

 -- Raphaël Hertzog <hertzog@debian.org>  Thu, 29 Jul 2010 21:18:16 +0200

dpkg (1.15.8) unstable; urgency=low

  [ Raphaël Hertzog ]
  * Add new commands --before-build and --after-build to dpkg-source
    and modify dpkg-buildpackage to call them automatically at the
    start and at the end of the process. With "3.0 (quilt)" source packages
    this ensures patches are applied even in case of binary-only builds.
    Closes: #572526
  * Merge non-regression test for Ubuntu's specificities concerning
    changelog handling. Closes: #582389
  * Fix some copy-paste mistakes in dpkg-architecture(1). Thanks to Ian Fleming
    <iflema@yahoo.com.au> for the patch and Colin Watson for forwarding out of
    Launchpad. Closes: #582404 LP: #564308

