## dpkg 1.15.8.4ubuntu3

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
 Build-Depends: debhelper (>= 6.0.7), pkg-config,
  gettext (>= 0.18), po4a (>= 0.33.1),
  libncursesw5-dev, zlib1g-dev (>= 1:1.1.3-19.1), libbz2-dev, flex,
- libselinux1-dev (>= 1.28-4),
+ libselinux1-dev (>= 1.28-4) [linux-any],
  libtimedate-perl, libio-string-perl
 
 Package: libdpkg-dev
