## dpkg 1.15.8.4ubuntu3.1

=== debian/changelog ===
dpkg (1.15.8.4ubuntu3.1) maverick-security; urgency=low

  * SECURITY UPDATE: relative directory and symlink following in source pkgs.
    - scripts/Dpkg/Source/Archive.pm, scripts/Dpkg/Source/Patch.pm,
      scripts/Dpkg/Source/Package/V2.pm: applied fixes from Raphael Hertzog,
      thanks to Raphael Geissert.
    - CVE-2010-1679

 -- Kees Cook <kees@ubuntu.com>  Thu, 06 Jan 2011 10:17:50 -0800
