## dpkg 1.15.8.11

=== debian/changelog ===
dpkg (1.15.8.11) stable; urgency=high

  [ Guillem Jover ]
  * Do not segfault on “dpkg -i --no-act”.
  * Add missing semicolon to the vsnprintf() compat declaration.
    Thanks to Robert Millan. Closes: #612203
  * Fix typo in «dpkg-name --overwrite» argument parsing so that it actually
    works at all. Thanks to Ivan Gagis <igagis@gmail.com>. LP: #728708
  * Fix dpkg-split to not corrupt binary part metadata when generating the
    split packages on 32-bit systems.

  [ Raphaël Hertzog ]
  * Fix a regression in dpkg-divert where using --rename led to a failure when
    the rename implies crossing file systems. Thanks to Durk Strooisma for
    spotting it.

  [ Updated dpkg translations ]
  * German (Sven Joachim).

  [ Updated man page translations ]
  * German (Helge Kreutzmann). Minor fixe(s).

 -- Guillem Jover <guillem@debian.org>  Tue, 26 Apr 2011 08:21:04 +0200

dpkg (1.15.8.10) unstable; urgency=low

  * Do not segfault on “update-alternatives --auto” when the link group only
    has alternatives which are dangling symlinks. Closes: #611545

 -- Guillem Jover <guillem@debian.org>  Sun, 30 Jan 2011 20:28:27 +0100

dpkg (1.15.8.9) unstable; urgency=low

  [ Raphaël Hertzog ]
  * Drop Breaks on konqueror to avoid some lenny -> squeeze upgrade
    problems. It was only needed to ensure install-info is installed
    even for partial upgrades. Closes: #610991
  * Do the same for all emacs/jed packages. For jed, the breaks has been
    rendered useless as the maintainers dropped the install-info dependencies
    anyway.

  [ Updated dpkg translations ]
  * Remove space before "…" in several Catalan strings (Jordi Mallach).
  * Romanian (Stan Ioan-Eugen).

 -- Raphaël Hertzog <hertzog@debian.org>  Mon, 24 Jan 2011 20:24:53 +0100

dpkg (1.15.8.8) unstable; urgency=low

  [ Guillem Jover ]
  * Truncate the output part file on “dpkg-split -s”. Regression introduced
    with the C rewrite.

  [ Updated man page translations ]
  * Two typos fixed in French (Christian Perrier, thanks to Julien
    Valroff).

  [ Raphaël Hertzog ]
  * Fix multiple security issues with dpkg-source (CVE-2010-1679):
    - Enhance checks to catch maliciously crafted patches which could modify
      files outside of the unpacked source package.
    - Do not consider a top-level symlink like a directory when
      extracting a tarball.
    - Exclude .pc while extracting the upstream tarball in 3.0 (quilt)
      as patch blindly writes in that directory during unpack (and would
      follow any existing symlink).

 -- Raphaël Hertzog <hertzog@debian.org>  Thu, 06 Jan 2011 21:04:33 +0100

dpkg (1.15.8.7) unstable; urgency=low

  [ Guillem Jover ]
  * Defer symlink renames so that there's never a point were a symlink
    is broken, this is particularly important for shared libraries.
    Closes: #605536
  * On Linux use sync_file_range() to initiate asynchronous writeback
    of just unpacked files. Suggested by Ted Ts'o <tytso@mit.edu>.
    Thanks to Jonathan Nieder <jrnieder@gmail.com>. Closes: #605009
  * On non-Linux use posix_fadvise(POSIX_FADV_DONTNEED) to notify the kernel
    dpkg does not need the unpacked files any longer, and that it can start
    writeback to be able to evict them from the cache at a later point.
  * Fix stanza delimiting on -L, -s and -p output. This was making the output
    for multiple packages unrealiable to parse. Closes: #606315

  [ Updated dpkg translations ]
  * Basque (Iñaki Larrañaga Murgoitio). Closes: #607253
  * Catalan (Guillem Jover).
  * Czech (Miroslav Kure). Closes: #605099
  * Esperanto (Felipe E. F. de Castro). Closes: #607437
  * French (Christian Perrier).
  * German (Sven Joachim).
  * Indonesian (Arief S Fitrianto). Closes: #605248
  * Italian (Milo Casagrande). Closes: #607306
  * Japanese (Kenshi Muto). Closes: #607259
  * Norwegian Bokmål (Hans Fredrik Nordhaug).
  * Portuguese (Miguel Figueiredo). Closes: #605506
  * Russian (Yuri Kozlov). Closes: #607292
  * Simplified Chinese (Aron Xu).
  * Slovak (Ivan Masár). Closes: #607302
  * Spanish (Javier Fernandez-Sanguino).
  * Thai (Theppitak Karoonboonyanan). Closes: #607501

  [ Updated man page translations ]
  * French (Christian Perrier).
  * German (Helge Kreutzmann).
  * Spanish (Omar Campagne).

  [ Updated dselect translations ]
  * Spanish (Javier Fernandez-Sanguino).

  [ Updated scripts translations ]
  * German (fix by Sven Joachim).
  * Spanish (Javier Fernandez-Sanguino).

 -- Guillem Jover <guillem@debian.org>  Mon, 20 Dec 2010 02:26:26 +0100

dpkg (1.15.8.6) unstable; urgency=low

  [ Raphaël Hertzog ]
  * Ensure debian/source/local-options is always excluded from the source
    package even if the user provides customized -i or -I options.
    Closes: #597023
  * Fix Dpkg::Version's handling of version with a debian revision but an
    empty version (e.g. "-0.1"). Thanks to James Vega <jamessan@debian.org>
    for the patch. Closes: #597651
  * With "3.0 (quilt)" source package, create .pc/.quilt_series with the
    correct series file if the source package provides vendor specific patch
    sets.

  [ Guillem Jover ]
  * Disable by default usage of synchronous sync(2), as it causes undesired
    I/O on unrelated file systems. Closes: #588339, #595927, #600075
  * Add new --force-unsafe-io to disable safe I/O operations on unpack.
    Closes: #584254

  [ Updated man page translations ]
  * French (Christian Perrier). Including a typo fix and a typographical
    change reported by Vincent Danjean. Closes: #601852
  * Spanish (Omar Campagne). Closes: #596519

  [ Updated programs translations ]
  * Basque (Iñaki Larrañaga Murgoitio). Closes: #599923
  * Catalan (Jordi Mallach).
  * Danish (Ask Hjorth Larsen). Closes: #600240
  * German (Sven Joachim). Improved by Holger Wansing.
  * Italian (Pietro Battiston). Fix translation of "however". Closes: #602518
  * Portuguese (Miguel Figueiredo). Closes: #596168
  * Romanian (Andrei Popescu). Closes: #604769
  * Russian (Yuri Kozlov). Closes: #595455

