## dpkg 1.15.8.13

=== debian/changelog ===
dpkg (1.15.8.13) stable; urgency=low

  [ Guillem Jover ]
  * Do not translate SE Linux context to human readable form while unpacking,
    as that might cause the operation to fail if the mcstransd daemon
    stopped running during the transaction. Closes: #679641
    Thanks to Russell Coker <russell@coker.com.au>.

  [ Updated man page translations ]
  * German (Helge Kreutzmann). Fix sub optimal translation of package states
    LP: #368783, a fix by Chris Leick and other fixes.

 -- Guillem Jover <guillem@debian.org>  Fri, 07 Sep 2012 08:28:56 +0200
