=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: dpkg
 Section: admin
 Priority: required
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Dpkg Developers <debian-dpkg@lists.debian.org>
+Maintainer: Dpkg Developers <debian-dpkg@lists.debian.org>
 Uploaders: Guillem Jover <guillem@debian.org>, Raphaël Hertzog <hertzog@debian.org>
 Origin: debian
 Bugs: debbugs://bugs.debian.org
@@ -33,15 +32,11 @@
 Essential: yes
 Pre-Depends: ${shlibs:Depends}, coreutils (>= 5.93-1), xz-utils
 Depends: ${misc:Depends}
-Breaks: dpkg-dev (<< 1.14.16), libdpkg-perl (<< 1.15.8),
+Breaks: dpkg-dev (<< 1.15.8), libdpkg-perl (<< 1.15.8),
  apt (<< 0.7.7), aptitude (<< 0.4.7-1),
 # install-info transition
 # see http://wiki.debian.org/Transitions/DpkgToGnuInstallInfo
- jed (<< 1:0.99.18+dfsg.1-13), xjed (<< 1:0.99.18+dfsg.1-13),
- konqueror (<= 4:4.2.96-1), xemacs21-support (<< 21.4.22-2),
- emacs22 (<= 22.2-0ubuntu2), emacs22-gtk (<= 22.2-0ubuntu2), emacs22-nox (<= 22.2-0ubuntu2),
- emacs21 (<< 21.4a+1-5.7), emacs21-nox (<< 21.4a+1-5.7),
- tkinfo (<< 2.8-3.1), pinfo (<< 0.6.9-3.1), jed-extra (<= 2.5.3-2)
+ tkinfo (<< 2.8-3.1), pinfo (<< 0.6.9-3.1)
 Suggests: apt
 Description: Debian package management system
  This package provides the low-level infrastructure for handling the
