## dpkg 1.16.0~ubuntu7

=== debian/changelog ===
dpkg (1.16.0~ubuntu7) natty; urgency=low

  * src/packages.c: fix the check for whether our dependencies are
    installed, so that it works correctly for multi-arch: foreign packages
    configured during the current dpkg run.  Thanks to Raphaël Hertzog
    <hertzog@debian.org> for the fix.  LP: #756381.

  [ Raphaël Hertzog ]
  * fddba30d74856e2d5c3f287343569fc259729bc0: Fix regression in dpkg 1.16.0
    affecting dpkg R.  Closes: #620636.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 14 Apr 2011 11:28:51 -0700

dpkg (1.16.0~ubuntu6) natty; urgency=low

  * Dpkg/Shlibs.pm: we should explicitly prepend the appropriate multiarch
    paths to our library search path.  These would be picked up later on
    anyway in the case of a native build, but for, e.g., bootstrapping a
    cross-toolchain the needed multiarch paths aren't going to be found in
    ld.so.conf.
  * Cherry-pick fixes from upstream:

  [ Raphaël Hertzog ]
  * 7ea2064c46b77398a63d7f7a543ebcf08f7c74d2: Fix dpkg-source's regression
    with empty patches (introduced while fixing 613023).  Closes: #619541,
    LP: #742124.
  * 6a7a20c72325a57762e34f5dbb9f79ba73b5d496: Use the correct mtime when
    installing a file with statoverrides.  LP: #739179.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 24 Mar 2011 17:04:47 -0700

dpkg (1.16.0~ubuntu5) natty; urgency=low

  * Cherry-pick 88b0c3043a651a422cd0c43c38ab6d553e2214ea from dpkg.git; adds
    armhf support.
    [ Guillem Jover ]
    * Add armhf support to ostable and triplettable. Closes: #594179

 -- Loïc Minier <loic.minier@linaro.org>  Tue, 15 Mar 2011 14:57:15 +0100

dpkg (1.16.0~ubuntu4) natty; urgency=low

  * Merge from git://git.debian.org/users/hertzog/dpkg.git
    pu/multiarch/snapshot/20110314 for updated multiarch support.  This
    reverts the dpkg database changes from the earlier merge in favor of a
    single-directory dpkg db again.
    - Fix typo in «dpkg-name --overwrite» argument parsing so that it 
      actually works at all. Thanks to Ivan Gagis <igagis@gmail.com>. 
      LP: #728708
  * Update the version checks for the multiarch db format to point to
    1.16.0~ubuntu4 instead of the (not-yet-released) 1.16.0.
  * On upgrade from 1.16.0~ubuntu[1-3], if /var/lib/dpkg/info/$arch is a
    directory, migrate the contents to var/lib/dpkg/info; and handle the
    reverse on downgrade.  This does not handle metadata for packages of
    foreign architectures; if this affects you, come talk to me. :-)
    LP: #727603.
  * add new variables, DEB_HOST_MULTIARCH and DEB_BUILD_MULTIARCH, that
    return the "ideal" GNU triplet for each architecture which should be
    used as the path component for library installation.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 14 Mar 2011 18:12:06 -0700

dpkg (1.16.0~ubuntu3) natty; urgency=low

  * Fix up the DPKG_ADMINDIR env var being passed to maintainer scripts when
    running with --root.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 01 Mar 2011 14:26:12 -0800

dpkg (1.16.0~ubuntu2) natty; urgency=low

  * Install multiarch symlink in /var/lib/dpkg/info on fresh installs as
    well as upgrades (LP: #727106).

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 01 Mar 2011 11:35:07 +0000

dpkg (1.16.0~ubuntu1) natty; urgency=low

  * Merge from git://git.debian.org/users/hertzog/dpkg.git
    pu/multiarch/snapshot/20110225 for multiarch support.  This brings us
    up-to-date with dpkg 1.16.0-pre staged changes as well as pulling in
    the current version of the multiarch branch from Raphael Hertzog.
  * FFe: LP: #724637.
  * Remaining changes:
    - Set Ubuntu ppc64 optimisation to -O3.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 28 Feb 2011 15:00:42 -0800

dpkg (1.16.0) UNRELEASED; urgency=low

  [ Guillem Jover ]
  * Fix realloc usage on compat scandir() implementation.
  * Use DPKG_MAINTSCRIPT_PACKAGE environment variable as package name on
    dpkg-divert when no --package or --local options have been specified.
  * Do not allow versions starting with non-digit when doing strict parsing,
    warn otherwise.
  * Update dpkg(1) to note that --status-fd output does not contain newlines
    in error messages anymore (this was fixed in 1.15.0).
  * Add a new --status-logger option to dpkg, similar to --status-fd but
    instead invoke the command ourselves and feed the status information
    to its standard input. Suggested by Raphaël Hertzog.
  * Add missing space in update-alternative --set-selections output.
  * Add missing options to update-alternative --help output.
  * Count “conffile name is duplicated” for dpkg-deb warning count summary.
  * Improve and clarify strings for translation. Closes: #604914
  * Prefix all fatal error messages with “error: ”.
  * Do not check presence of update-rc.d in the PATH in dpkg, as it's not
    a program needed for dpkg correct operation.
  * Fix dpkg -GEO options on multiple versions of the same packages.
    Closes: #31141
  * Propagate --admindir to programs run from maintainer scritpts.
    Closes: #97076
  * Do not fail when trying to remove the root directory. This will only
    happen either on distributions where dpkg is a foreign package manager,
    or on artificial dpkg databases.
  * Always warn when parsing any package control data which does not have
    an Architecture field except for status and status log files when
    packages are not-installed or half-installed.
  * By default reject installing packages w/o an Architecture field. They
    now need --force-architecture, dpkg will still warn about them though.
  * Fix build failure when passing --disable-nls to configure.
  * Do not segfault on “dpkg -i --no-act”.
  * Add missing semicolon to the vsnprintf() compat declaration.
    Thanks to Robert Millan. Closes: #612203
  * On install for Ubuntu adjust the i386 GNU cpu name in cputable.
    Thanks to Colin Watson <cjwatson@ubuntu.com>. Closes: #611741
  * Sync the info database directory on unpack instead of the temporary

