## dpkg 1.16.0.3

=== debian/changelog ===
dpkg (1.16.0.3) unstable; urgency=medium

  * Allow again Priority field values not known to dpkg. Regression
    introduced in 1.16.0.

 -- Guillem Jover <guillem@debian.org>  Wed, 04 May 2011 10:01:30 +0200

dpkg (1.16.0.2) unstable; urgency=high

  * Fix dpkg-split --auto to not fail when opening the new depot file.
  * Fix dpkg-split to correctly set the last part split size.
  * Fix build failure on DEB_BUILD_OPTIONS=noopt due to a missing <locale.h>
    include in gettext.h needed by the gettext context functions.

 -- Guillem Jover <guillem@debian.org>  Sat, 16 Apr 2011 00:14:15 +0200

dpkg (1.16.0.1) unstable; urgency=low

  [ Raphaël Hertzog ]
  * Fix regression affecting dpkg -R. Closes: #620636
  * Don't fail during unpack if the system doesn't support changing timestamps
    of symlinks. Closes: #620679

 -- Guillem Jover <guillem@debian.org>  Tue, 05 Apr 2011 07:28:20 +0200

dpkg (1.16.0) unstable; urgency=low

  [ Guillem Jover ]
  * Use DPKG_MAINTSCRIPT_PACKAGE environment variable as package name on
    dpkg-divert when no --package or --local options have been specified.
  * Do not allow versions starting with non-digit when doing strict parsing,
    warn otherwise.
  * Update dpkg(1) to note that --status-fd output does not contain newlines
    in error messages anymore (this was fixed in 1.15.0).
  * Add a new --status-logger option to dpkg, similar to --status-fd but
    instead invoke the command ourselves and feed the status information
    to its standard input. Suggested by Raphaël Hertzog.
  * Add missing space in update-alternative --set-selections output.
  * Add missing options to update-alternative --help output.
  * Count “conffile name is duplicated” for dpkg-deb warning count summary.
  * Improve and clarify strings for translation. Closes: #604914
  * Prefix all fatal error messages with “error: ”.
  * Do not check presence of update-rc.d in the PATH in dpkg, as it's not
    a program needed for dpkg correct operation.
  * Fix dpkg -GEO options on multiple versions of the same packages.
    Closes: #31141
  * Propagate --admindir to programs run from maintainer scritpts.
    Closes: #97076
  * Do not fail when trying to remove the root directory. This will only
    happen either on distributions where dpkg is a foreign package manager,
    or on artificial dpkg databases.
  * Always warn when parsing any package control data which does not have
    an Architecture field except for status and status log files when
    packages are not-installed or half-installed.
  * By default reject installing packages w/o an Architecture field. They
    now need --force-architecture, dpkg will still warn about them though.
  * Fix build failure when passing --disable-nls to configure.
  * Do not segfault on “dpkg -i --no-act”.
  * Add missing semicolon to the vsnprintf() compat declaration.
    Thanks to Robert Millan. Closes: #612203
  * On install for Ubuntu adjust the i386 GNU cpu name in cputable.
    Thanks to Colin Watson <cjwatson@ubuntu.com>. Closes: #611741
  * Sync the info database directory on unpack instead of the temporary
    control information directory, and print the correct pathname on error
    instead of the last file acted on that directory.
  * Document in dpkg-query --help output and man page that --list and --show
    arguments are optional.
  * Do not read and write the available file unnecessarily.
    Thanks to Michel Lespinasse <walken@zoy.org>. Closes: #397121
  * Fix typo in «dpkg-name --overwrite» argument parsing so that it actually
    works at all. Thanks to Ivan Gagis <igagis@gmail.com>. LP: #728708
  * Add armhf support to ostable and triplettable. Closes: #594179
  * Set the modification time for unpacked symlinks on supported systems.
  * Fix undefined value useage in dpkg-genchanges when adding files w/o a
    matching architecture, because they are not present in debian/control,
    this is most commonly the case due to dpkg-distaddfile.
  * Terminate immediately on dpkg-divert rename errors instead of propagating
    up the error codes, this improves error reporting and avoids triggering
    leak detectors. Closes: #620380
  * When moving a diverted file across filesystems in dpkg-divert, remove
    the source file.

  [ Raphaël Hertzog ]
  * Fail properly when debian/source/format is empty. Closes: #600854
  * Add new deb-src-control(5) manual page documenting the debian/control
    file contained in source packages.
    - it documents the X[SBC]- prefix. Closes: #476335
    - it documents the VCS-* fields too. Closes: #483119
    Thanks to Oxan van Leeuwen <oxan@oxanvanleeuwen.nl> who wrote it
    as part of the Google Code In program.
  * Enhance dpkg-shlibdeps to not fail immediatly when a library is not found.
    Instead continue and fail after all problems have been reported. Thanks
    to Chris Baines <cbaines8@gmail.com> for the patch. Closes: #596841
  * Fix dpkg-source to not list Debian packaging files as modified
    upstream files in Format "1.0" when unpacking to a non-standard
    directory.
  * Apply patch from Colin Watson to let dpkg-buildflags return -O3
    instead of -O2 when building ppc64 packages on Ubuntu. Closes: #612472
  * Add new function get_control_path() to Dpkg::Path, it wraps dpkg-query
    --control-path.
  * Update dpkg-shlibdeps to be multiarch-ready:
    - use get_control_path() to find symbols/shlibs files
    - parse correctly the output of dpkg --search
  * Small fix to support files >2GB in .deb on 64-bit systems. Closes: #616502
    Thanks to Martin Dorey <mdorey@bluearc.com> for the patch.
  * dpkg-source now keeps the file ordering in the autogenerated patch when
    regenerating it. Closes: #606080
    Thanks to Colin Watson for the patch.
  * dpkg-source now uses a timestamp retrieved from the filesystem when
    resetting the timestamp of patched files so that a time skew when using
    NFS doesn't introduce any inconsistency. Closes: #613023

