## dpkg 1.16.0.3ubuntu5

=== debian/changelog ===
dpkg (1.16.0.3ubuntu5) oneiric; urgency=low

  * Cherry pick b8d4668 and 967a45f from pu/multiarch so that cross-grading a
    package doesn't result in dpkg believing the package has been disappeared
    on the next call.  Thanks to Raphaël Hertzog <hertzog@debian.org> for
    the quick fix!  (LP: #863675)

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 06 Oct 2011 07:29:02 +0000

dpkg (1.16.0.3ubuntu4) oneiric; urgency=low

  * Add /etc/dpkg/dpkg.cfg.d/multiarch as a conffile on amd64, so that users
    are guaranteed to always have it after upgrade even if they don't use
    update-manager for the upgrade itself.  Also fixes up the problem of
    systems installed at 11.10 beta 1 missing the file due to an installer
    bug.  LP: #846451.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 27 Sep 2011 16:40:04 -0700

dpkg (1.16.0.3ubuntu3) oneiric; urgency=low

  * add DPKG_UNTRANSLATED_MESSAGES environment check so that the 
    higher level tools can get untranslated dpkg terminal log
    messages while at the same time have translated debconf 
    prompts. This is useful for tools that hide the dpkg terminal
    by default and use apport for bugreport with the untranslated
    error message.

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 28 Jun 2011 09:20:11 +0100

dpkg (1.16.0.3ubuntu2) oneiric; urgency=low

  * Properly update trigdeferred.c from trigdeferred.l, fixing a slew of
    triggers/Unincorp parsing failures.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 17 Jun 2011 15:27:35 +0100

dpkg (1.16.0.3ubuntu1) oneiric; urgency=low

  * Merge from Debian unstable; remaining changes:
    - Merge from git://git.debian.org/users/hertzog/dpkg.git
      pu/multiarch/snapshot/20110314 for multiarch support.
    - On upgrade from 1.16.0~ubuntu[1-3], if /var/lib/dpkg/info/$arch is a
      directory, migrate the contents to var/lib/dpkg/info; and handle the
      reverse on downgrade.  This does not handle metadata for packages of
      foreign architectures.
  * Restores support for parsing priority fields with unknown values.
    LP: #773022.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 17 Jun 2011 00:04:19 -0700

dpkg (1.16.0~ubuntu8) oneiric; urgency=low

  * src/packages.c: fix use of --force-depends so that it works again for
    foreign arch packages.  Thanks to Raphaël Hertzog for the fix.
    LP: #767634.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 29 Apr 2011 19:07:24 -0700
