=== debian/rules ===
--- 
+++ 
@@ -80,11 +80,21 @@
 
 	cd build-tree && $(MAKE) DESTDIR="$(CURDIR)/debian/tmp" install
 
+ifeq (yes,$(shell dpkg-vendor --derives-from Ubuntu && echo yes))
+	# Ubuntu's «i386» architecture is built for i686 (the Debian default
+	# is i486).
+	sed -ri 's/^(i386[[:space:]]+)[^[:space:]]+/\1i686/' \
+	        $(CURDIR)/debian/tmp/usr/share/dpkg/cputable
+endif
+
 # Put together the dpkg and dselect packages
 binary-arch: install
 	dh_testdir -a
 	dh_testroot -a
 	dh_install --sourcedir=debian/tmp -a
+ifeq ($(DEB_HOST_GNU_TYPE),x86_64-linux-gnu)
+	echo 'foreign-architecture i386' > $(CURDIR)/debian/dpkg/etc/dpkg/dpkg.cfg.d/multiarch
+endif
 	dh_installcron -a
 	dh_installlogrotate -a
