## dpkg 1.16.0.3ubuntu5.1

=== debian/changelog ===
dpkg (1.16.0.3ubuntu5.1) oneiric-proposed; urgency=low

  * Backport patch that avoids disappearing other packages from the same set.
    Packages within a set can rightfully share files and should not be
    disappeared in the case where they share all the files.  LP: #902603.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 16 Apr 2012 20:54:37 -0700
